cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"currentApy": 0.0959594620331801,
"apy7d": 3299.969360684741,
"apy30d": null,
"apy90d": null
}
{
"error": "<message>"
}
CLMM
CLMM LP yield
Retrieve current and historical average liquidity APY.
GET
/
clmm
/
{address}
/
historical
/
liquidity-apy
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"currentApy": 0.0959594620331801,
"apy7d": 3299.969360684741,
"apy30d": null,
"apy90d": null
}
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
cURL
curl https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy
import requests
response = requests.get("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/clmm/6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id/historical/liquidity-apy");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"marketAddress": "6CFxKYZkRUDBcJSHo3PBHJ7iBiCmEXePrCFT26mZx1id",
"currentApy": 0.0959594620331801,
"apy7d": 3299.969360684741,
"apy30d": null,
"apy90d": null
}
{
"error": "<message>"
}